Bug 167133 - stale files in /usr/share/examples
Summary: stale files in /usr/share/examples
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 8.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Enji Cooper
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-20 22:40 UTC by Hilko Meyer
Modified: 2015-10-25 22:05 UTC (History)
1 user (show)

See Also:
ngie: mfc-stable8-
bugmeister: mfc-stable9?
ngie: mfc-stable10+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hilko Meyer 2012-04-20 22:40:01 UTC
I found today some files and directories which are (much) older than the other files. Maybe they are stale and should get an entry in the ObsoleteFiles.inc file.

The two empty directories, untouched since 2008:
/usr/share/examples/netgraph/bluetooth
/usr/share/examples/iscsi

Then this two files:
/usr/share/examples/etc/defaults/pccard.conf
/usr/share/examples/etc/pf.conf

And finally these two, but they are probably stale because the system was built with NO_LPR:
/usr/share/examples/etc/hosts.lpd
/usr/share/examples/etc/printcap
Comment 1 dfilter service freebsd_committer 2013-10-24 22:58:27 UTC
Author: zont
Date: Thu Oct 24 21:58:14 2013
New Revision: 257077
URL: http://svnweb.freebsd.org/changeset/base/257077

Log:
  Cleanup empty directories
  
  PR:	conf/167133

Modified:
  head/ObsoleteFiles.inc
  head/etc/mtree/BSD.usr.dist

Modified: head/ObsoleteFiles.inc
==============================================================================
--- head/ObsoleteFiles.inc	Thu Oct 24 21:54:24 2013	(r257076)
+++ head/ObsoleteFiles.inc	Thu Oct 24 21:58:14 2013	(r257077)
@@ -38,6 +38,8 @@
 #   xargs -n1 | sort | uniq -d;
 # done
 
+# 20131023: remove never used iscsi directory
+OLD_DIRS+=usr/share/examples/iscsi
 # 20131014: libbsdyml becomes private
 OLD_FILES+=usr/lib/libbsdyml.a
 OLD_FILES+=usr/lib/libbsdyml.so
@@ -2491,6 +2493,7 @@ OLD_FILES+=usr/sbin/zfs
 OLD_FILES+=usr/sbin/zpool
 # 20070423: rc.bluetooth (examples) removed
 OLD_FILES+=usr/share/examples/netgraph/bluetooth/rc.bluetooth
+OLD_DIRS+=usr/share/examples/netgraph/bluetooth
 # 20070421: worm.4 removed
 OLD_FILES+=usr/share/man/man4/worm.4.gz
 # 20070417: trunk(4) renamed to lagg(4)

Modified: head/etc/mtree/BSD.usr.dist
==============================================================================
--- head/etc/mtree/BSD.usr.dist	Thu Oct 24 21:54:24 2013	(r257076)
+++ head/etc/mtree/BSD.usr.dist	Thu Oct 24 21:58:14 2013	(r257077)
@@ -325,8 +325,6 @@
             ..
             ipfw
             ..
-            iscsi
-            ..
             jails
             ..
             kld
@@ -360,8 +358,6 @@
             mdoc
             ..
             netgraph
-                bluetooth
-                ..
             ..
             pc-sysinstall
             ..
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 2 Andrey Zonov freebsd_committer 2013-10-30 03:31:16 UTC
State Changed
From-To: open->patched

Fixed in CURRENT.
Comment 3 commit-hook freebsd_committer 2015-08-11 16:01:37 UTC
A commit references this bug:

Author: garga
Date: Tue Aug 11 16:01:35 UTC 2015
New revision: 286637
URL: https://svnweb.freebsd.org/changeset/base/286637

Log:
  MFC r257077:

  Cleanup empty directories

  PR:		167133
  Approved by:	loos
  Sponsored by:	Netgate

Changes:
_U  stable/10/
  stable/10/ObsoleteFiles.inc
  stable/10/etc/mtree/BSD.usr.dist
Comment 4 Enji Cooper freebsd_committer 2015-10-25 22:01:04 UTC
- stable/8 is EOLed.
- Hasn't been merged to stable/9.
- Has been merged to stable/10.

Taking for MFC to stable/9.
Comment 5 commit-hook freebsd_committer 2015-10-25 22:05:37 UTC
A commit references this bug:

Author: ngie
Date: Sun Oct 25 22:05:26 UTC 2015
New revision: 289946
URL: https://svnweb.freebsd.org/changeset/base/289946

Log:
  MFstable/10 r286637 (made some minor adjustments due to other commits not MFCed):

  r286637 (by garga):

  MFC r257077:

  Cleanup empty directories

  PR:		167133
  Approved by:	loos
  Sponsored by:	Netgate

Changes:
_U  stable/9/
  stable/9/ObsoleteFiles.inc
_U  stable/9/etc/
_U  stable/9/etc/mtree/
  stable/9/etc/mtree/BSD.usr.dist